/*
 * Parent class that represents a text label somewhere on the screen.
 * 
 * You should NOT need to modify this class.
 */

public class Label
{    
    private double x;       // x-location of the text
    private double y;       // y-location of the text
    private String text;    // the text we display
    
    public Label()
    {
    }
    
    public Label(double x, double y, String text)
    {
        this.x = x;
        this.y = y;
        this.text = text;
    }

    // Clients can ask Label object to update their position in some way.
    // This parent class doesn't do anything when asked to update.
    public void update()
    {
    }
    
    // Change the label's x-position by the given amount.
    public void addToX(double deltaX)
    {
        x += deltaX;
    }
    
    // Change the label's y-position by the given amount.
    public void addToY(double deltaY)
    {
        y += deltaY;
    }

    // Draw the label on the screen using StdDraw
    public void draw()
    {
        StdDraw.text(x, y, text);
    }
    
}
